Skip to content

Bulk write 'Contractinvoicecontent'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
attachmentobject or null

Additional Validation Information:

This field, or at least one of the following fields must be set: text_content

companyobject or null(Company)
text_background_colorstring or null, <= 7 characters'^(?:[0-9a-fA-F]{3}){1,2}$'

Additional Validation Information:

This value must be set together with the following fields: text_title, text_content, text_color

contract_typesArray of objects(Contenttype)
from_invoice_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: to_invoice_date

organizationobject or null(Organization)
text_contentstring or null

Additional Validation Information:

This value must be set together with the following fields: text_title, text_background_color, text_color

This field, or at least one of the following fields must be set: attachment

text_colorstring or null, <= 7 characters'^(?:[0-9a-fA-F]{3}){1,2}$'

Additional Validation Information:

This value must be set together with the following fields: text_title, text_content, text_background_color

tags_filterArray of objects(Tag)
text_titlestring or null, <= 255 characters

Additional Validation Information:

This value must be set together with the following fields: text_content, text_background_color, text_color

to_invoice_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: from_invoice_date

contract_lifecycle_restrictioninteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Only On First Invoice

  • 1 - Only On Last Invoice

Enum:01
display_orderinteger or null, (int32), [ -2147483648 .. 2147483647 ]
custom_idstring or null, <= 128 characters
]
POST
/accounting/contracts/contractinvoicecontent/list/
curl -i -X POST \
  https://dev.api.pigello.io/accounting/contracts/contractinvoicecontent/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "attachment": {
        "name": "string",
        "md5_hash": "string",
        "get": "string",
        "post": {
          "url": "string",
          "fields": {}
        }
      },
      "company": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "text_background_color": "string",
      "contract_types": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ],
      "from_invoice_date": "2019-08-24",
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "text_content": "string",
      "text_color": "string",
      "tags_filter": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ],
      "text_title": "string",
      "to_invoice_date": "2019-08-24",
      "contract_lifecycle_restriction": 0,
      "display_order": -2147483648,
      "custom_id": "string"
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

attachmentobject or null

Additional Validation Information:

This field, or at least one of the following fields must be set: text_content

companyobject or null(Company)
customer_columnsanyread-only
text_background_colorstring or null, <= 7 characters'^(?:[0-9a-fA-F]{3}){1,2}$'

Additional Validation Information:

This value must be set together with the following fields: text_title, text_content, text_color

contract_typesArray of objects(Contenttype)
from_invoice_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: to_invoice_date

organizationobject or null(Organization)
text_contentstring or null

Additional Validation Information:

This value must be set together with the following fields: text_title, text_background_color, text_color

This field, or at least one of the following fields must be set: attachment

text_colorstring or null, <= 7 characters'^(?:[0-9a-fA-F]{3}){1,2}$'

Additional Validation Information:

This value must be set together with the following fields: text_title, text_content, text_background_color

tags_filterArray of objects(Tag)
text_titlestring or null, <= 255 characters

Additional Validation Information:

This value must be set together with the following fields: text_content, text_background_color, text_color

to_invoice_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: from_invoice_date

contract_lifecycle_restrictioninteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Only On First Invoice

  • 1 - Only On Last Invoice

Enum:01
tagsanyread-only
display_orderinteger or null, (int32), [ -2147483648 .. 2147483647 ]
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
]
Response
[ { "attachment": {}, "company": {}, "customer_columns": null, "text_background_color": "string", "contract_types": [], "from_invoice_date": "2019-08-24", "organization": {}, "text_content": "string", "text_color": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tags_filter": [], "text_title": "string", "to_invoice_date": "2019-08-24", "contract_lifecycle_restriction": 0, "tags": null, "display_order": -2147483648, "custom_id": "string", "created_at": "2019-08-24T14:15:22Z" } ]